import {Component, Input} from '@angular/core';

@Component({
  selector: 'app-edit-icon',
  template: `
    <svg style="cursor: pointer"  width="25" height="25" viewBox="0 0 70 70" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path
        d="M14.5833 69.125C12.9792 69.125 11.6054 68.5533 10.4621 67.41C9.32069 66.2686 8.75 64.8958 8.75 63.2917V22.4583C8.75 20.8542 9.32069 19.4804 10.4621 18.3371C11.6054 17.1957 12.9792 16.625 14.5833 16.625H40.6146L34.7813 22.4583H14.5833V63.2917H55.4167V43.0208L61.25 37.1875V63.2917C61.25 64.8958 60.6793 66.2686 59.5379 67.41C58.3946 68.5533 57.0208 69.125 55.4167 69.125H14.5833ZM47.1771 18.3021L51.3333 22.3854L32.0833 41.6354V45.7917H36.1667L55.4896 26.4687L59.6458 30.5521L40.3229 49.875C39.7882 50.4097 39.1689 50.8355 38.465 51.1525C37.7592 51.4675 37.0174 51.625 36.2396 51.625H29.1667C28.3403 51.625 27.6481 51.346 27.09 50.7879C26.53 50.2279 26.25 49.5347 26.25 48.7083V41.6354C26.25 40.8576 26.3958 40.1158 26.6875 39.41C26.9792 38.7061 27.3924 38.0868 27.9271 37.5521L47.1771 18.3021ZM59.6458 30.5521L47.1771 18.3021L54.4687 11.0104C55.6354 9.84374 57.0335 9.26041 58.6629 9.26041C60.2904 9.26041 61.6632 9.84374 62.7813 11.0104L66.8646 15.1667C67.9826 16.2847 68.5417 17.6458 68.5417 19.25C68.5417 20.8542 67.9826 22.2153 66.8646 23.3333L59.6458 30.5521Z"
        [attr.fill]="color"/>
    </svg>
  `,
})
export class EditIconComponent {
  @Input() color = 'black'
}
